Page MenuHomePhabricator

E12. [Regression] Patrolling links disabled for un-grouped RC
Closed, ResolvedPublic

Description

  1. Have 'Group changes by page in recent changes and watchlist' in Preferences checked.
  2. Login as a user without auto patrolled rights - do some single edits to different posts.
  3. As a user with patrol privileges, view the above edits in Recent Changes. The timestamps for un-grouped edits are not clickable. So there is no easy way to get to pages with [Mark this page as patrolled] action.

When 'Group changes by page in recent changes and watchlist' unchecked, clicking on a timestamp will display a page with [Mark this page as patrolled]

Expected: Timestamps should be clickable on RC for both ungrouped and grouped changes to direct to [Mark this page as patrolled] action on a page.

Note: It's possible to get to a page with [Mark this page as patrolled] action via View history - so the patrolling functionality is not broken.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2015, 11:01 PM
He7d3r added a subscriber: He7d3r.Jul 1 2015, 4:41 PM
DannyH renamed this task from [Regression] Patrolling links disabled for un-grouped RC to E12. [Regression] Patrolling links disabled for un-grouped RC.Jul 1 2015, 5:42 PM
DannyH set Security to None.
DannyH triaged this task as High priority.Jul 1 2015, 5:44 PM

Change 222284 had a related patch set uploaded (by Matthias Mullie):
Add hook EnhancedChangesListModifyBlockLineData

https://gerrit.wikimedia.org/r/222284

Change 222286 had a related patch set uploaded (by Matthias Mullie):
Link to single-view for block-level EnhancedRC entries

https://gerrit.wikimedia.org/r/222286

Change 222284 merged by jenkins-bot:
Add hook EnhancedChangesListModifyBlockLineData

https://gerrit.wikimedia.org/r/222284

Change 222286 merged by jenkins-bot:
Link to single-view for block-level EnhancedRC entries

https://gerrit.wikimedia.org/r/222286

DannyH closed this task as Resolved.Jul 10 2015, 9:32 PM
DannyH added a subscriber: DannyH.